<html>
<head>
<link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/vis/4.16.1/vis.css" type="text/css" />
<script type="text/javascript" src="https://cdnjs.cloudflare.com/ajax/libs/vis/4.16.1/vis-network.min.js"> </script>
<center>
<h1></h1>
</center>

<!-- <link rel="stylesheet" href="../node_modules/vis/dist/vis.min.css" type="text/css" />
<script type="text/javascript" src="../node_modules/vis/dist/vis.js"> </script>-->

<style type="text/css">

        #mynetwork {
            width: 800;
            height: 800;
            background-color: #ffffff;
            border: 1px solid lightgray;
            position: relative;
            float: left;
        }

        

        

        
</style>

</head>

<body>
<div id = "mynetwork"></div>


<script type="text/javascript">

    // initialize global variables.
    var edges;
    var nodes;
    var network; 
    var container;
    var options, data;

    
    // This method is responsible for drawing the graph, returns the drawn network
    function drawGraph() {
        var container = document.getElementById('mynetwork');
        
        

        // parsing and collecting nodes and edges from the python
        nodes = new vis.DataSet([{"id": 0, "label": 0, "shape": "dot", "size": 15}, {"id": 24, "label": 24, "shape": "dot", "size": 15}, {"id": 41, "label": 41, "shape": "dot", "size": 9}, {"id": 48, "label": 48, "shape": "dot", "size": 15}, {"id": 76, "label": 76, "shape": "dot", "size": 15}, {"id": 88, "label": 88, "shape": "dot", "size": 15}, {"id": 1, "label": 1, "shape": "dot", "size": 6}, {"id": 52, "label": 52, "shape": "dot", "size": 15}, {"id": 83, "label": 83, "shape": "dot", "size": 15}, {"id": 2, "label": 2, "shape": "dot", "size": 12}, {"id": 7, "label": 7, "shape": "dot", "size": 6}, {"id": 17, "label": 17, "shape": "dot", "size": 33}, {"id": 69, "label": 69, "shape": "dot", "size": 15}, {"id": 92, "label": 92, "shape": "dot", "size": 15}, {"id": 3, "label": 3, "shape": "dot", "size": 9}, {"id": 4, "label": 4, "shape": "dot", "size": 9}, {"id": 50, "label": 50, "shape": "dot", "size": 12}, {"id": 72, "label": 72, "shape": "dot", "size": 9}, {"id": 60, "label": 60, "shape": "dot", "size": 27}, {"id": 99, "label": 99, "shape": "dot", "size": 18}, {"id": 5, "label": 5, "shape": "dot", "size": 12}, {"id": 27, "label": 27, "shape": "dot", "size": 6}, {"id": 34, "label": 34, "shape": "dot", "size": 9}, {"id": 68, "label": 68, "shape": "dot", "size": 18}, {"id": 97, "label": 97, "shape": "dot", "size": 12}, {"id": 6, "label": 6, "shape": "dot", "size": 6}, {"id": 14, "label": 14, "shape": "dot", "size": 12}, {"id": 86, "label": 86, "shape": "dot", "size": 18}, {"id": 53, "label": 53, "shape": "dot", "size": 24}, {"id": 8, "label": 8, "shape": "dot", "size": 3}, {"id": 9, "label": 9, "shape": "dot", "size": 21}, {"id": 10, "label": 10, "shape": "dot", "size": 21}, {"id": 13, "label": 13, "shape": "dot", "size": 12}, {"id": 23, "label": 23, "shape": "dot", "size": 24}, {"id": 30, "label": 30, "shape": "dot", "size": 15}, {"id": 75, "label": 75, "shape": "dot", "size": 18}, {"id": 26, "label": 26, "shape": "dot", "size": 12}, {"id": 40, "label": 40, "shape": "dot", "size": 12}, {"id": 74, "label": 74, "shape": "dot", "size": 12}, {"id": 87, "label": 87, "shape": "dot", "size": 15}, {"id": 11, "label": 11, "shape": "dot", "size": 9}, {"id": 77, "label": 77, "shape": "dot", "size": 6}, {"id": 91, "label": 91, "shape": "dot", "size": 24}, {"id": 12, "label": 12, "shape": "dot", "size": 12}, {"id": 31, "label": 31, "shape": "dot", "size": 12}, {"id": 94, "label": 94, "shape": "dot", "size": 12}, {"id": 15, "label": 15, "shape": "dot", "size": 27}, {"id": 85, "label": 85, "shape": "dot", "size": 15}, {"id": 32, "label": 32, "shape": "dot", "size": 18}, {"id": 73, "label": 73, "shape": "dot", "size": 9}, {"id": 39, "label": 39, "shape": "dot", "size": 15}, {"id": 59, "label": 59, "shape": "dot", "size": 6}, {"id": 61, "label": 61, "shape": "dot", "size": 24}, {"id": 16, "label": 16, "shape": "dot", "size": 21}, {"id": 42, "label": 42, "shape": "dot", "size": 21}, {"id": 46, "label": 46, "shape": "dot", "size": 15}, {"id": 62, "label": 62, "shape": "dot", "size": 12}, {"id": 78, "label": 78, "shape": "dot", "size": 6}, {"id": 21, "label": 21, "shape": "dot", "size": 15}, {"id": 22, "label": 22, "shape": "dot", "size": 6}, {"id": 29, "label": 29, "shape": "dot", "size": 21}, {"id": 37, "label": 37, "shape": "dot", "size": 15}, {"id": 18, "label": 18, "shape": "dot", "size": 6}, {"id": 47, "label": 47, "shape": "dot", "size": 15}, {"id": 19, "label": 19, "shape": "dot", "size": 9}, {"id": 45, "label": 45, "shape": "dot", "size": 9}, {"id": 20, "label": 20, "shape": "dot", "size": 9}, {"id": 98, "label": 98, "shape": "dot", "size": 15}, {"id": 57, "label": 57, "shape": "dot", "size": 6}, {"id": 63, "label": 63, "shape": "dot", "size": 15}, {"id": 71, "label": 71, "shape": "dot", "size": 12}, {"id": 70, "label": 70, "shape": "dot", "size": 6}, {"id": 25, "label": 25, "shape": "dot", "size": 15}, {"id": 66, "label": 66, "shape": "dot", "size": 24}, {"id": 54, "label": 54, "shape": "dot", "size": 6}, {"id": 28, "label": 28, "shape": "dot", "size": 9}, {"id": 81, "label": 81, "shape": "dot", "size": 12}, {"id": 89, "label": 89, "shape": "dot", "size": 21}, {"id": 33, "label": 33, "shape": "dot", "size": 18}, {"id": 49, "label": 49, "shape": "dot", "size": 15}, {"id": 64, "label": 64, "shape": "dot", "size": 18}, {"id": 84, "label": 84, "shape": "dot", "size": 15}, {"id": 90, "label": 90, "shape": "dot", "size": 24}, {"id": 44, "label": 44, "shape": "dot", "size": 6}, {"id": 55, "label": 55, "shape": "dot", "size": 30}, {"id": 80, "label": 80, "shape": "dot", "size": 18}, {"id": 96, "label": 96, "shape": "dot", "size": 9}, {"id": 58, "label": 58, "shape": "dot", "size": 9}, {"id": 35, "label": 35, "shape": "dot", "size": 3}, {"id": 36, "label": 36, "shape": "dot", "size": 9}, {"id": 79, "label": 79, "shape": "dot", "size": 15}, {"id": 38, "label": 38, "shape": "dot", "size": 9}, {"id": 51, "label": 51, "shape": "dot", "size": 9}, {"id": 43, "label": 43, "shape": "dot", "size": 15}, {"id": 82, "label": 82, "shape": "dot", "size": 6}, {"id": 93, "label": 93, "shape": "dot", "size": 12}, {"id": 56, "label": 56, "shape": "dot", "size": 6}, {"id": 95, "label": 95, "shape": "dot", "size": 6}, {"id": 65, "label": 65, "shape": "dot", "size": 15}, {"id": 67, "label": 67, "shape": "dot", "size": 6}]);
        edges = new vis.DataSet([{"from": 0, "to": 24, "weight": 1}, {"from": 0, "to": 41, "weight": 1}, {"from": 0, "to": 48, "weight": 1}, {"from": 0, "to": 76, "weight": 1}, {"from": 0, "to": 88, "weight": 1}, {"from": 1, "to": 52, "weight": 1}, {"from": 1, "to": 83, "weight": 1}, {"from": 2, "to": 7, "weight": 1}, {"from": 2, "to": 17, "weight": 1}, {"from": 2, "to": 69, "weight": 1}, {"from": 2, "to": 92, "weight": 1}, {"from": 3, "to": 4, "weight": 1}, {"from": 3, "to": 50, "weight": 1}, {"from": 3, "to": 72, "weight": 1}, {"from": 4, "to": 60, "weight": 1}, {"from": 4, "to": 99, "weight": 1}, {"from": 5, "to": 27, "weight": 1}, {"from": 5, "to": 34, "weight": 1}, {"from": 5, "to": 68, "weight": 1}, {"from": 5, "to": 97, "weight": 1}, {"from": 6, "to": 14, "weight": 1}, {"from": 6, "to": 86, "weight": 1}, {"from": 7, "to": 53, "weight": 1}, {"from": 8, "to": 17, "weight": 1}, {"from": 9, "to": 10, "weight": 1}, {"from": 9, "to": 13, "weight": 1}, {"from": 9, "to": 23, "weight": 1}, {"from": 9, "to": 30, "weight": 1}, {"from": 9, "to": 53, "weight": 1}, {"from": 9, "to": 75, "weight": 1}, {"from": 9, "to": 86, "weight": 1}, {"from": 10, "to": 26, "weight": 1}, {"from": 10, "to": 40, "weight": 1}, {"from": 10, "to": 60, "weight": 1}, {"from": 10, "to": 74, "weight": 1}, {"from": 10, "to": 83, "weight": 1}, {"from": 10, "to": 87, "weight": 1}, {"from": 11, "to": 60, "weight": 1}, {"from": 11, "to": 77, "weight": 1}, {"from": 11, "to": 91, "weight": 1}, {"from": 12, "to": 31, "weight": 1}, {"from": 12, "to": 94, "weight": 1}, {"from": 12, "to": 97, "weight": 1}, {"from": 12, "to": 99, "weight": 1}, {"from": 13, "to": 15, "weight": 1}, {"from": 13, "to": 68, "weight": 1}, {"from": 13, "to": 85, "weight": 1}, {"from": 14, "to": 32, "weight": 1}, {"from": 14, "to": 73, "weight": 1}, {"from": 14, "to": 74, "weight": 1}, {"from": 15, "to": 39, "weight": 1}, {"from": 15, "to": 52, "weight": 1}, {"from": 15, "to": 53, "weight": 1}, {"from": 15, "to": 59, "weight": 1}, {"from": 15, "to": 61, "weight": 1}, {"from": 15, "to": 69, "weight": 1}, {"from": 15, "to": 86, "weight": 1}, {"from": 15, "to": 94, "weight": 1}, {"from": 16, "to": 17, "weight": 1}, {"from": 16, "to": 26, "weight": 1}, {"from": 16, "to": 42, "weight": 1}, {"from": 16, "to": 46, "weight": 1}, {"from": 16, "to": 48, "weight": 1}, {"from": 16, "to": 62, "weight": 1}, {"from": 16, "to": 78, "weight": 1}, {"from": 17, "to": 21, "weight": 1}, {"from": 17, "to": 22, "weight": 1}, {"from": 17, "to": 29, "weight": 1}, {"from": 17, "to": 37, "weight": 1}, {"from": 17, "to": 75, "weight": 1}, {"from": 17, "to": 76, "weight": 1}, {"from": 17, "to": 86, "weight": 1}, {"from": 17, "to": 97, "weight": 1}, {"from": 18, "to": 24, "weight": 1}, {"from": 18, "to": 47, "weight": 1}, {"from": 19, "to": 45, "weight": 1}, {"from": 19, "to": 87, "weight": 1}, {"from": 19, "to": 88, "weight": 1}, {"from": 20, "to": 29, "weight": 1}, {"from": 20, "to": 32, "weight": 1}, {"from": 20, "to": 98, "weight": 1}, {"from": 21, "to": 32, "weight": 1}, {"from": 21, "to": 57, "weight": 1}, {"from": 21, "to": 85, "weight": 1}, {"from": 21, "to": 87, "weight": 1}, {"from": 22, "to": 23, "weight": 1}, {"from": 23, "to": 31, "weight": 1}, {"from": 23, "to": 39, "weight": 1}, {"from": 23, "to": 48, "weight": 1}, {"from": 23, "to": 60, "weight": 1}, {"from": 23, "to": 63, "weight": 1}, {"from": 23, "to": 71, "weight": 1}, {"from": 24, "to": 61, "weight": 1}, {"from": 24, "to": 70, "weight": 1}, {"from": 24, "to": 98, "weight": 1}, {"from": 25, "to": 42, "weight": 1}, {"from": 25, "to": 53, "weight": 1}, {"from": 25, "to": 66, "weight": 1}, {"from": 25, "to": 91, "weight": 1}, {"from": 25, "to": 92, "weight": 1}, {"from": 26, "to": 37, "weight": 1}, {"from": 26, "to": 69, "weight": 1}, {"from": 27, "to": 54, "weight": 1}, {"from": 28, "to": 81, "weight": 1}, {"from": 28, "to": 85, "weight": 1}, {"from": 28, "to": 89, "weight": 1}, {"from": 29, "to": 33, "weight": 1}, {"from": 29, "to": 49, "weight": 1}, {"from": 29, "to": 64, "weight": 1}, {"from": 29, "to": 84, "weight": 1}, {"from": 29, "to": 90, "weight": 1}, {"from": 30, "to": 44, "weight": 1}, {"from": 30, "to": 53, "weight": 1}, {"from": 30, "to": 55, "weight": 1}, {"from": 30, "to": 80, "weight": 1}, {"from": 31, "to": 53, "weight": 1}, {"from": 31, "to": 62, "weight": 1}, {"from": 32, "to": 63, "weight": 1}, {"from": 32, "to": 76, "weight": 1}, {"from": 32, "to": 86, "weight": 1}, {"from": 33, "to": 40, "weight": 1}, {"from": 33, "to": 48, "weight": 1}, {"from": 33, "to": 68, "weight": 1}, {"from": 33, "to": 96, "weight": 1}, {"from": 33, "to": 99, "weight": 1}, {"from": 34, "to": 58, "weight": 1}, {"from": 34, "to": 64, "weight": 1}, {"from": 35, "to": 99, "weight": 1}, {"from": 36, "to": 79, "weight": 1}, {"from": 36, "to": 81, "weight": 1}, {"from": 36, "to": 89, "weight": 1}, {"from": 37, "to": 40, "weight": 1}, {"from": 37, "to": 45, "weight": 1}, {"from": 37, "to": 89, "weight": 1}, {"from": 38, "to": 47, "weight": 1}, {"from": 38, "to": 66, "weight": 1}, {"from": 38, "to": 68, "weight": 1}, {"from": 39, "to": 63, "weight": 1}, {"from": 39, "to": 69, "weight": 1}, {"from": 39, "to": 87, "weight": 1}, {"from": 40, "to": 52, "weight": 1}, {"from": 41, "to": 52, "weight": 1}, {"from": 41, "to": 89, "weight": 1}, {"from": 42, "to": 51, "weight": 1}, {"from": 42, "to": 66, "weight": 1}, {"from": 42, "to": 85, "weight": 1}, {"from": 42, "to": 88, "weight": 1}, {"from": 42, "to": 90, "weight": 1}, {"from": 43, "to": 47, "weight": 1}, {"from": 43, "to": 49, "weight": 1}, {"from": 43, "to": 50, "weight": 1}, {"from": 43, "to": 82, "weight": 1}, {"from": 43, "to": 99, "weight": 1}, {"from": 44, "to": 75, "weight": 1}, {"from": 45, "to": 72, "weight": 1}, {"from": 46, "to": 66, "weight": 1}, {"from": 46, "to": 70, "weight": 1}, {"from": 46, "to": 91, "weight": 1}, {"from": 46, "to": 98, "weight": 1}, {"from": 47, "to": 79, "weight": 1}, {"from": 47, "to": 92, "weight": 1}, {"from": 48, "to": 84, "weight": 1}, {"from": 49, "to": 66, "weight": 1}, {"from": 49, "to": 76, "weight": 1}, {"from": 49, "to": 90, "weight": 1}, {"from": 50, "to": 52, "weight": 1}, {"from": 50, "to": 57, "weight": 1}, {"from": 51, "to": 93, "weight": 1}, {"from": 51, "to": 96, "weight": 1}, {"from": 53, "to": 78, "weight": 1}, {"from": 53, "to": 96, "weight": 1}, {"from": 54, "to": 91, "weight": 1}, {"from": 55, "to": 60, "weight": 1}, {"from": 55, "to": 63, "weight": 1}, {"from": 55, "to": 64, "weight": 1}, {"from": 55, "to": 68, "weight": 1}, {"from": 55, "to": 69, "weight": 1}, {"from": 55, "to": 75, "weight": 1}, {"from": 55, "to": 80, "weight": 1}, {"from": 55, "to": 88, "weight": 1}, {"from": 55, "to": 91, "weight": 1}, {"from": 56, "to": 84, "weight": 1}, {"from": 56, "to": 90, "weight": 1}, {"from": 58, "to": 64, "weight": 1}, {"from": 58, "to": 98, "weight": 1}, {"from": 59, "to": 98, "weight": 1}, {"from": 60, "to": 72, "weight": 1}, {"from": 60, "to": 73, "weight": 1}, {"from": 60, "to": 91, "weight": 1}, {"from": 60, "to": 95, "weight": 1}, {"from": 61, "to": 66, "weight": 1}, {"from": 61, "to": 71, "weight": 1}, {"from": 61, "to": 76, "weight": 1}, {"from": 61, "to": 80, "weight": 1}, {"from": 61, "to": 81, "weight": 1}, {"from": 61, "to": 99, "weight": 1}, {"from": 62, "to": 83, "weight": 1}, {"from": 62, "to": 95, "weight": 1}, {"from": 63, "to": 84, "weight": 1}, {"from": 64, "to": 65, "weight": 1}, {"from": 64, "to": 68, "weight": 1}, {"from": 65, "to": 67, "weight": 1}, {"from": 65, "to": 83, "weight": 1}, {"from": 65, "to": 85, "weight": 1}, {"from": 65, "to": 90, "weight": 1}, {"from": 66, "to": 75, "weight": 1}, {"from": 66, "to": 82, "weight": 1}, {"from": 67, "to": 93, "weight": 1}, {"from": 71, "to": 80, "weight": 1}, {"from": 71, "to": 89, "weight": 1}, {"from": 73, "to": 81, "weight": 1}, {"from": 74, "to": 80, "weight": 1}, {"from": 74, "to": 90, "weight": 1}, {"from": 75, "to": 79, "weight": 1}, {"from": 77, "to": 92, "weight": 1}, {"from": 79, "to": 86, "weight": 1}, {"from": 79, "to": 89, "weight": 1}, {"from": 80, "to": 93, "weight": 1}, {"from": 83, "to": 94, "weight": 1}, {"from": 84, "to": 91, "weight": 1}, {"from": 87, "to": 97, "weight": 1}, {"from": 88, "to": 90, "weight": 1}, {"from": 89, "to": 92, "weight": 1}, {"from": 90, "to": 94, "weight": 1}, {"from": 91, "to": 93, "weight": 1}]);

        // adding nodes and edges to the graph
        data = {nodes: nodes, edges: edges};

        var options = {
    "configure": {
        "enabled": false
    },
    "edges": {
        "color": {
            "inherit": true
        },
        "smooth": {
            "enabled": false,
            "type": "continuous"
        }
    },
    "interaction": {
        "dragNodes": true,
        "hideEdgesOnDrag": false,
        "hideNodesOnDrag": false
    },
    "physics": {
        "barnesHut": {
            "avoidOverlap": 0,
            "centralGravity": 0.3,
            "damping": 0.09,
            "gravitationalConstant": -80000,
            "springConstant": 0.001,
            "springLength": 250
        },
        "enabled": true,
        "stabilization": {
            "enabled": true,
            "fit": true,
            "iterations": 1000,
            "onlyDynamicEdges": false,
            "updateInterval": 50
        }
    }
};
        
        

        

        network = new vis.Network(container, data, options);
	 
        


        

        return network;

    }

    drawGraph();

</script>
</body>
</html>